"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var flavour_enum_1 = require("../enums/flavour.enum");
var theme_service_1 = require("../theme.service");
function getStrippedComment(comment) {
    var options = theme_service_1.ThemeService.getOptions();
    var lineBreak = options.mdFlavour === flavour_enum_1.Flavour.BITBUCKET ? ' ' : '<br><br>';
    var newComment = '';
    if (comment) {
        if (comment.text) {
            newComment += comment.text.replace(/\n\n/g, lineBreak);
        }
        if (comment.shortText) {
            newComment += comment.shortText.replace(/\n\n/g, lineBreak);
        }
    }
    return newComment === '' ? '-' : newComment;
}
exports.getStrippedComment = getStrippedComment;
